it.reply.healty.innovapuglia.mstaccuino.service.data

## Class DoloriDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.DoloriDataService

- All Implemented Interfaces:
    IDataService<NotaTaccuino,DoloreRequestDTO,Dolore,DoloreNonTrovatoException>

      @Component
      public class DoloriDataService
      extends Object
      implements IDataService<NotaTaccuino,DoloreRequestDTO,Dolore,DoloreNonTrovatoException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoloriDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dolore` | `addNtt(NotaTaccuino nota, DoloreRequestDTO doloreRequest)` Aggiunge al database una nuova istanza di tipo Dolore
    `void` | `deprecaNtt(Dolore dolore)` Cancella logicamente l'istanza di tipo Dolore inserita in input
    `List<Dolore>` | `findAllNttById(String idNota)` Recupera l'elenco di Dolore associati ad un id nota
    `Dolore` | `getNttById(String idDolore)` Restituisce il dolore in stato attivo in base all'ID in input
    `Dolore` | `updateNtt(Dolore dolore, DoloreRequestDTO newDoloreDto)` Crea e salva un'istanza di tipo Dolore aggiornata con i dati in input, e depreca la vecchia istanza

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoloriDataService

          public DoloriDataService()

  - ### Method Detail

    - #### addNtt

          public Dolore addNtt(NotaTaccuino nota,
                               DoloreRequestDTO doloreRequest)
                        throws FaultException

      Aggiunge al database una nuova istanza di tipo Dolore
      Specified by:
        `addNtt` in interface `IDataService<NotaTaccuino,DoloreRequestDTO,Dolore,DoloreNonTrovatoException>`
      Parameters:
        `nota` - Istanza della nota a cui e' associato l'oggetto
        `doloreRequest` - Oggetto contenente i dati di input del dolore
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### deprecaNtt

          public void deprecaNtt(Dolore dolore)
                          throws FaultException

      Cancella logicamente l'istanza di tipo Dolore inserita in input
      Specified by:
        `deprecaNtt` in interface `IDataService<NotaTaccuino,DoloreRequestDTO,Dolore,DoloreNonTrovatoException>`
      Parameters:
        `dolore` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### updateNtt

          public Dolore updateNtt(Dolore dolore,
                                  DoloreRequestDTO newDoloreDto)
                           throws FaultException

      Crea e salva un'istanza di tipo Dolore aggiornata con i dati in input, e depreca la vecchia istanza
      Specified by:
        `updateNtt` in interface `IDataService<NotaTaccuino,DoloreRequestDTO,Dolore,DoloreNonTrovatoException>`
      Parameters:
        `dolore` - Vecchia istanza dell'oggetto da modificare
        `newDoloreDto` - Nuovo oggetto in input, contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### getNttById

          public Dolore getNttById(String idDolore)
                            throws FaultException,
                                   DoloreNonTrovatoException

      Restituisce il dolore in stato attivo in base all'ID in input
      Specified by:
        `getNttById` in interface `IDataService<NotaTaccuino,DoloreRequestDTO,Dolore,DoloreNonTrovatoException>`
      Parameters:
        `idDolore` - l'ID del dolore da cercare
      Returns:
        Il dolore attivo trovato
      Throws:
        `FaultException` - Quando c'è qualche problema durante l'interrogazione del database
        `DoloreNonTrovatoException` - Quando non viene trovato nessun dolore attivo con quell'ID

    - #### findAllNttById

          public List<Dolore> findAllNttById(String idNota)
                                      throws FaultException

      Recupera l'elenco di Dolore associati ad un id nota
      Specified by:
        `findAllNttById` in interface `IDataService<NotaTaccuino,DoloreRequestDTO,Dolore,DoloreNonTrovatoException>`
      Parameters:
        `idNota` - l'ID della nota
      Returns:
        l'elenco di Dolore, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

Copyright © 2024. All rights reserved.